/*----------------------------------------------------------------------------
 * Name:    main.cpp
 *----------------------------------------------------------------------------*/

/* Includes ------------------------------------------------------------------*/
#include "sam.h"

#ifdef _RTE_
#include "RTE_Components.h"             // Component selection
#endif
#ifdef RTE_CMSIS_RTOS                   // when RTE component CMSIS RTOS is used
#include "cmsis_os.h"                   // CMSIS RTOS header file
#endif

/* Private functions ---------------------------------------------------------*/
/**
  * @brief  Main program
  * @param  None
  * @retval None
  */
int main(void)
{

#ifdef RTE_CMSIS_RTOS                   // when using CMSIS RTOS
  osKernelInitialize ();                // initialize CMSIS-RTOS
#endif

  /* Disable watchdog */
  WDT->WDT_MR = WDT_MR_WDDIS;
	
  /* Configure the system clock to 300 MHz */
  SystemCoreClockUpdate();
  
  /* Enable data and instruction caches */
  SCB_EnableDCache();	
  SCB_EnableICache();

  /* Add your application code here
     */

#ifdef RTE_CMSIS_RTOS                   // when using CMSIS RTOS
  // create 'thread' functions that start executing,
  // example: tid_name = osThreadCreate (osThread(name), NULL);

  osKernelStart ();                     // start thread execution 
#else

  /* Infinite loop */
  while (1)
  {
  }

#endif
}
